%define real_name	ocamlsdl
%define name		ocaml-SDL
%define version		0.7.2
%define release		%mkrel 6
%define ocaml_sitelib %(if [ -x /usr/bin/ocamlc ]; then ocamlc -where;fi)/site-lib

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Wrapper around the cross platform Simple DirectMedia Layer game library
License:	LGPL
Source:		http://belnet.dl.sourceforge.net/sourceforge/ocamlsdl/%{real_name}-%{version}.tar.bz2
Patch0:		ocamlsdl-0.7.2.install-destdir.patch
Group:		Development/Other
URL:		http://ocamlsdl.sourceforge.net/
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libSDL_ttf-devel
BuildRequires:	libpng-devel
BuildRequires:	libncurses-devel
BuildRequires:	ocaml
BuildRequires:	ocaml-lablgl-devel
BuildRequires:  findlib
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%package -n %{name}-devel
Summary:	Wrapper around the cross platform Simple DirectMedia Layer game library
Group:		Development/Other
Provides:	%{real_name} = %{version}-%{release}
Requires:	libSDL-devel
Requires:	libSDL_image-devel
Requires:	libSDL_mixer-devel
Requires:	libSDL_ttf-devel
Requires:	libpng-devel

%description
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%description -n %{name}-devel
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-%{version}
%patch -p1

%build
%configure
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{ocaml_sitelib}
install -d %{buildroot}%{ocaml_sitelib}/stublibs
make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{ocaml_sitelib}"
mkdir -p %{buildroot}/%{_infodir}
install doc/*.info* %{buildroot}/%{_infodir}

%clean
rm -rf %{buildroot}

%post -n %{name}-devel
%_install_info ocamlsdl.info

%preun -n %{name}-devel
%_remove_install_info ocamlsdl.info

%files -n %{name}-devel
%defattr(-, root, root)
%doc README AUTHORS META NEWS doc/* 
%{_libdir}/ocaml/*
%{_infodir}/*


%changelog
* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-6mdv2007.0
+ Revision: 121130
- oops, forgotten patch
- install through findlib under site-lib hierarchy

* Thu Jan 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-5mdv2007.1
+ Revision: 113297
- fix buildrequires
- spec cleanup
- Import ocaml-SDL



* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-4mdv2007.0
- drop explicit versioned ocaml requires, now handled by rpm directly

* Mon Apr 24 2006 Pixel <pixel@mandriva.com> 0.7.2-3mdk
- rebuild for new ocaml

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 0.7.2-2mdk
- rebuild for new ocaml

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 0.7.2-1mdk
- new release

* Fri Nov  4 2005 Pixel <pixel@mandriva.com> 0.7.1-4mdk
- rebuild for new ocaml

* Tue Nov  1 2005 Frederic Lepied <flepied@mandriva.com> 0.7.1-3mdk
- rebuild to enable labgl support

* Fri May  6 2005 Pixel <pixel@mandriva.com> 0.7.1-2mdk
- don't use findlib, it's broken
- %%mkrel

* Mon Oct 4 2004 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Sat May 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.6.3-3mdk
- enforce versioned dependency on ocaml
- spec cleanup

* Sat May  8 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-2mdk
- need to rebuild because "The files /usr/lib/ocaml/pervasives.cmi and
  /usr/lib/ocaml/sdl/sdl.cmi make inconsistent assumptions over interface
  Pervasives"

* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-1mdk
- new version
- fix buildrequires thx to stefan's robot

* Sat Feb 15 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.1-1mdk
- new version

* Wed Sep 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-6mdk
- add my "fix a few things" patch to make it usable for my Simon
  program

* Mon Sep  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-5mdk
- ocaml changed (and error message suck bigtime!!
  "/usr/lib/ocaml/sdl/sdl.cmi is not a compiled interface", nonsense..)

* Tue Jul 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-4mdk
- recompile against latest libstdc++

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-3mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-2mdk
- rebuild for new alsa

* Mon Apr 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-1mdk
- final 0.5 version

* Mon Mar 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-0.pre3.2mdk
- patch #0: color rgb values are unsigned

* Sun Mar 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-1mdk
- first mandrake package
